Name:          less
Version:       633
Release:       1mamba
Summary:       A text file browser similar to more, but better
Group:         Applications/File
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.greenwoodsoftware.com/less/
Source0:       http://www.greenwoodsoftware.com/less/less-%{version}.tar.gz
Source1:       lesspipe.sh
Source2:       less.sh
Source3:       less.csh
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libncurses-devel
## AUTOBUILDREQ-END

%description
The less utility is a text file browser that resembles more, but has more capabilities.
Less allows you to move backwards in the file as well as forwards.
Since less doesn't have to read the entire input file before it starts, less starts up more quickly than text editors (for example, vi).
You should install less because it is a basic utility for viewing text files, and you'll use it frequently.

%debug_package

%prep
%setup -q
# fix permisions
chmod 644 COPYING LICENSE NEWS README

%build
%configure \
   --with-regex=posix

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

install -d %{buildroot}/etc/profile.d
install -D -m 755 %{S:1} %{buildroot}%{_bindir}/lesspipe.sh
install -c -m 755 %{S:2} %{buildroot}%{_sysconfdir}/profile.d/less.sh
install -c -m 755 %{S:3} %{buildroot}%{_sysconfdir}/profile.d/less.csh

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/profile.d/less.sh
%{_sysconfdir}/profile.d/less.csh
%{_bindir}/less
%{_bindir}/lessecho
%{_bindir}/lesskey
%{_bindir}/lesspipe.sh
%{_mandir}/man1/less.*
%{_mandir}/man1/lessecho.*
%{_mandir}/man1/lesskey.*
%doc COPYING LICENSE
#NEWS README

%changelog
* Wed Jun 14 2023 Automatic Build System <autodist@mambasoft.it> 633-1mamba
- automatic version update by autodist

* Tue Oct 04 2022 Automatic Build System <autodist@mambasoft.it> 608-1mamba
- automatic version update by autodist

* Mon Jul 12 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 590-1mamba
- update to 590

* Thu Oct 22 2020 Automatic Build System <autodist@mambasoft.it> 563-1mamba
- automatic version update by autodist

* Wed Jun 12 2019 Automatic Build System <autodist@mambasoft.it> 551-1mamba
- automatic version update by autodist

* Tue Jun 04 2019 Automatic Build System <autodist@mambasoft.it> 550-1mamba
- automatic version update by autodist

* Sat Feb 17 2018 Automatic Build System <autodist@mambasoft.it> 530-1mamba
- automatic version update by autodist

* Thu Oct 27 2016 Automatic Build System <autodist@mambasoft.it> 487-1mamba
- automatic version update by autodist

* Tue Sep 15 2015 Automatic Build System <autodist@mambasoft.it> 481-1mamba
- automatic version update by autodist

* Mon Jul 13 2015 Automatic Build System <autodist@mambasoft.it> 479-1mamba
- automatic version update by autodist

* Sun Dec 28 2014 Automatic Build System <autodist@mambasoft.it> 471-1mamba
- automatic version update by autodist

* Thu Oct 16 2014 Automatic Build System <autodist@mambasoft.it> 470-1mamba
- automatic version update by autodist

* Sat Sep 27 2014 Automatic Build System <autodist@mambasoft.it> 468-1mamba
- automatic version update by autodist

* Sun Jun 09 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 458-2mamba
- arm: rebuild to fix 'undefined symbol: __aeabi_idivmod' after ncurses rebuild

* Thu Apr 25 2013 Automatic Build System <autodist@mambasoft.it> 458-1mamba
- automatic version update by autodist

* Wed Sep 05 2012 Automatic Build System <autodist@mambasoft.it> 451-1mamba
- automatic version update by autodist

* Wed Jun 15 2011 Automatic Build System <autodist@mambasoft.it> 444-1mamba
- automatic update by autodist

* Tue Apr 12 2011 Automatic Build System <autodist@mambasoft.it> 443-1mamba
- automatic update by autodist

* Mon Feb 22 2010 Davide Madrisan <davide.madrisan@gmail.com> 436-2mamba
- lesspipe.sh: support *.xz files

* Mon Jul 27 2009 Automatic Build System <autodist@mambasoft.it> 436-1mamba
- automatic update to 436 by autodist

* Sun Apr 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 429-1mamba
- automatic update to 429 by autodist

* Tue Jan 27 2009 Davide Madrisan <davide.madrisan@gmail.com> 424-2mamba
- provide an improved version of the LESSOPEN filter
- add build requirements

* Sun Jan 11 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 424-1mamba
- automatic update by autodist

* Mon Aug 25 2008 Aleph0 <aleph0@openmamba.org> 418-2mamba
- fix wrong file permissions

* Mon Jan 07 2008 Aleph0 <aleph0@openmamba.org> 418-1mamba
- update to 418

* Fri Nov 23 2007 Aleph0 <aleph0@openmamba.org> 416-1mamba
- update to 416

* Fri Nov 16 2007 Aleph0 <aleph0@openmamba.org> 415-1mamba
- update to 415

* Wed Oct 17 2007 Aleph0 <aleph0@openmamba.org> 409-1mamba
- update to 409

* Tue Oct 02 2007 Aleph0 <aleph0@openmamba.org> 408-1mamba
- update to 408

* Mon Jul 02 2007 Aleph0 <aleph0@openmamba.org> 406-1mamba
- update to 406
- added lesspipe.sh an "input preprocessor" for less

* Mon May 28 2007 Aleph0 <aleph0@openmamba.org> 403-1mamba
- update to 403

* Tue Dec 06 2005 Davide Madrisan <davide.madrisan@qilinux.it> 394-1qilnx
- update to version 394 by autospec

* Wed Mar 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 382-2qilnx
- specfile updates and fixes; mandatory LICENSE file added

* Fri Feb 27 2004 Davide Madrisan <davide.madrisan@qilinux.it> 382-1qilnx
- package updated to the latest available version
